VismaBouwsoftAPICalls.v1_PUT_CostCalculation Method
v1_PUT_CostCalculation() as String

This API call is used to update fields of a(n) CostCalculation

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /CostCalculation/{id}

You make this API call with the key field id as the path parameter (the id of the CostCalculation you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
parent_type 2 tpString 0 No No No
parent_id 1 tpLong 0 No No No
parent_pricedecimals 1 tpLong 0 No No No
order_id 1 tpLong 0 No No No
order_companyid 1 tpLong 0 No No No
order_type 2 tpString 50 No No No
order_nr 1 tpLong 0 No No No
order_dc_id 1 tpLong 0 No No No
orderline_id 1 tpLong 0 No No No
orderline_linenr 1 tpLong 0 No No No
orderline_nr1 2 tpString 100 No No No
orderline_description 2 tpString 0 No No No
orderline_quantity 4 tpDouble 0 No No No
pricelinkedtocostcalculation 5 tpBool 0 No No No
pricelinkmethod 2 tpString 0 No No No
item_id 1 tpLong 0 No No No
item_nr1 2 tpString 100 No No No
item_description 2 tpString 0 No No No
page 1 tpLong 0 No No No
linenr 1 tpLong 0 No No No
type 2 tpString 0 No Yes No
type_localized 2 tpString 0 No No No
group 2 tpString 100 No Yes No
nr 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 10 No Yes No
job_name 2 tpString 100 No No No
quantity 4 tpDouble 0 No Yes No
vf 4 tpDouble 0 No Yes No
workers 4 tpDouble 0 No Yes No
days 4 tpDouble 0 No Yes No
workinghours_perworker_perday 4 tpDouble 0 No Yes No
unit 2 tpString 10 No Yes No
price_unit 8 tpCurrency 0 No Yes No
price_total_without_margin 8 tpCurrency 0 No No No
margin 13 tpPercent 0 No Yes No
price_total_with_margin 8 tpCurrency 0 No No No
product_id 1 tpLong 0 No Yes No
machine_id 1 tpLong 0 No Yes No
hour_id 1 tpLong 0 No Yes No
address_id_subcontractor 1 tpLong 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/CostCalculation/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculation/80483

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lkbfWxfIUUzSfDOUrfzRqrGtfftIGfrGfOrbzrVIkODfrIUDmG

Query Parameters :
ParameterName: columns, ParameterValue: price_unit=4

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 80483,
    "pricelinkedtocostcalculation": true,
    "price_unit": 4.0
  }
]
}